@echo off
REM -----------------------------------------------
REM Windows start script/batch for RL-Sizing.
REM
REM $Revision: 1.7 $Date: 2008/09/19 07:23:08 $Author: puffer $
REM -----------------------------------------------

REM ======================================
REM Java executable (javaw.exe)
REM ======================================
SET JAVAW=javaw.exe

REM ======================================
REM Java classpath
REM ======================================

CD RL-sizing
SET INSTALL_DIR=.

SET CLASSPATH=%INSTALL_DIR%/lib/rlsizing.jar
SET CLASSPATH=%CLASSPATH%;%INSTALL_DIR%/lib/jfreechart-1.0.6.jar
SET CLASSPATH=%CLASSPATH%;%INSTALL_DIR%/lib/jcommon-1.0.10.jar
SET CLASSPATH=%CLASSPATH%;%INSTALL_DIR%/lib/sfutil.jar
SET CLASSPATH=%CLASSPATH%;%INSTALL_DIR%/lib/avalon-framework-4.2.0.jar
SET CLASSPATH=%CLASSPATH%;%INSTALL_DIR%/lib/batik-all-1.6.jar
SET CLASSPATH=%CLASSPATH%;%INSTALL_DIR%/lib/commons-io-1.1.jar
SET CLASSPATH=%CLASSPATH%;%INSTALL_DIR%/lib/commons-logging-1.0.4.jar
SET CLASSPATH=%CLASSPATH%;%INSTALL_DIR%/lib/fop.jar
SET CLASSPATH=%CLASSPATH%;%INSTALL_DIR%/lib/jdom-1.0.jar
SET CLASSPATH=%CLASSPATH%;%INSTALL_DIR%/lib/serializer-2.7.0.jar
SET CLASSPATH=%CLASSPATH%;%INSTALL_DIR%/lib/xalan-2.7.0.jar
SET CLASSPATH=%CLASSPATH%;%INSTALL_DIR%/lib/xercesImpl-2.7.1.jar
SET CLASSPATH=%CLASSPATH%;%INSTALL_DIR%/lib/xml-apis-1.3.02.jar
SET CLASSPATH=%CLASSPATH%;%INSTALL_DIR%/lib/xmlgraphics-commons-1.0.jar



REM ======================================
REM Runs jvm in a new console window.
REM Option /B prevents opening the new window.
REM ======================================

START /B %JAVAW% -Drlsizing.path=%INSTALL_DIR% -cp %CLASSPATH% com.sf.rlsizing.RLSizingSplasher %*
